Bug 21430 - Switch two-column templates to Bootstrap grid: Reports part 3
Summary: Switch two-column templates to Bootstrap grid: Reports part 3
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-27 12:35 UTC by Owen Leonard
Modified: 2019-10-14 19:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3 (12.66 KB, patch)
2018-09-27 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3 (12.71 KB, patch)
2018-10-01 09:14 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3 (12.82 KB, patch)
2018-10-01 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-27 12:35:01 UTC
These two-column reports templates can be updated to use the Bootstrap grid.

 - reports/catalogue_out.tt
 - reports/catalogue_stats.tt
 - reports/dictionary.tt
 - reports/guided_reports_start.tt
 - reports/issues_avg_stats.tt
 - reports/issues_stats.tt
Comment 1 Owen Leonard 2018-09-27 13:24:48 UTC
Created attachment 79506 [details] [review]
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3

This patch modifies several reports templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Items with no checkouts
 - Reports -> Catalog statistics wizard
 - Reports -> Guided reports dictionary
 - Reports -> Guided reports, saved SQL reports
 - Reports -> Average loan time
 - Reports -> Circulation statistics wizard
Comment 2 Claire Gravely 2018-10-01 09:14:25 UTC
Created attachment 79695 [details] [review]
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3

This patch modifies several reports templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Items with no checkouts
 - Reports -> Catalog statistics wizard
 - Reports -> Guided reports dictionary
 - Reports -> Guided reports, saved SQL reports
 - Reports -> Average loan time
 - Reports -> Circulation statistics wizard

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-10-01 15:06:45 UTC
Created attachment 79733 [details] [review]
Bug 21430: Update two-column templates with Bootstrap grid: Reports part 3

This patch modifies several reports templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Reports -> Items with no checkouts
 - Reports -> Catalog statistics wizard
 - Reports -> Guided reports dictionary
 - Reports -> Guided reports, saved SQL reports
 - Reports -> Average loan time
 - Reports -> Circulation statistics wizard

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-10-02 00:14:45 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-08 08:30:00 UTC
Enhancement, will not be backported to 18.05.x series.